#include "CS_Door_Iron.h"

CS_Door_Iron::CS_Door_Iron()
{
	ani.png = L"CS_CaveStoryMod";
	ani.sprite_index = L"ls_door_iron";
	drawBeforeOtherEntity = true;
	cbRect.left = cbRect.right = 6;
}

void CS_Door_Iron::SetState(int stateID, int lr)
{
	this->lr = lr;
	if (lr == 0)
		ani.png = L"CS_CaveStoryMod";
	else
		ani.png = L"";
}

std::shared_ptr<Entity> CreateCS_Door_Iron()
{
	return std::make_shared<CS_Door_Iron>();
}
